use strict;
use warnings FATAL => 'all';

use HTML::Zoom;
use Test::More;

ok 1, 'stub for wrapping or layout helpers';

done_testing;

=head2 wrap_with

    my $layout = HTML::Zoom->from_html(<<HTML);
    <html>
      <head>
        <title>Default Title</title>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    	<meta name="keywords" content="my special website" />
        <link rel="shortcut icon" href="/favicon.ico" />
	    <link rel="stylesheet" href="/css/core.css" type="text/css" />
      </head>
      </body id="content-area">
        <div>Default Content</div>
      </body>
    </html>
    HTML

    my $content = HTML::Zoom->from_html(<<HTML);
    <html>
      <head>
        <title>My Awesome Page</title>
      </head>
      </body>
        <h1>Special Page</h1>
        <p>Here is some content</p>
      </body>
    </html>
    HTML

    $content
      ->template($layout)  ## is a wrap object of some sort
      ->match('title')
      ->match('body')
      ->apply

    ## ^^ would be similar to:

    my (@title, @body);
    $content
      ->select('title')
      ->collect_content({into => \@title})
      ->select('body')
      ->collect_content({into => \@body})
      ->run;

    $layout
      ->select('title')
      ->replace_content(\@title);
      ->select('body')
      ->replace_content(\@body);
      ->...

=cut